{{- $limit := 0 -}}
{{- if .limit -}}
    {{- $limit = .limit -}}
{{- end -}}

{{- $is_hidden := false -}}
{{- $is_home := .is_home -}}

{{- with .section -}}
<div class="category">
    <h2>{{- .Title -}}</h2>
    <div class="inner">
        {{- $children := .Sections.ByPublishDate.Reverse -}}
        {{- $index := 0 -}}
        {{- $articlesVisible := 0 -}}
        {{- range $children -}}

            {{- if $is_home -}}
                {{- if ge $index $limit -}}
                    {{- break -}}
                {{- end -}}
            {{- end -}}

            {{- partial "summary/section" (dict "section" . "index" $index "Site" .Site) -}}
            {{- $index = add $index 1 -}}
            {{- $articlesVisible = add $articlesVisible 1 -}}
        {{- end -}}

        {{- $allArticles := where .Site.RegularPages "Type" "articles" -}}
        {{- $articleChildren := (where (where .Site.RegularPages "Type" "articles") "Params.category" .Slug) -}}
        
        {{- range $articleChildren.ByPublishDate.Reverse -}}
            {{- if $is_home -}}
                {{- if ge $index $limit -}}
                    {{- break -}}
                {{- end -}}
            {{- end -}}

            {{- if ge $index $limit -}}
                {{- $is_hidden = true -}}
            {{- else -}}
                {{- $articlesVisible = add $articlesVisible 1 -}}
            {{- end -}}
            
            {{- partial "summary/article" (dict "article" . "index" $index "is_hidden" $is_hidden "Site" .Site ) -}}
            {{- $index = add $index 1 -}}
            
        {{- end -}}
    </div>
    
    <div class="footer">
        {{- if $is_home -}}
        <a href="{{- .RelPermalink -}}" alt="tous nos conseils {{ .Title }}">tous nos conseils {{ .Title }}</a>
        {{- else -}}
            {{ $total := add (len $articleChildren) (len $children)  }}
        <p>Vous avez vu <span id="progress-bar-index">{{- $articlesVisible -}}</span> produits sur <span id="progress-bar-total">{{$total}}</span></p>
        <div class="progress-bar-container">
            <div id="progress-bar"></div>
        </div>
        <a id="progress-bar-next" {{- if eq $articlesVisible $total -}} class="disabled" {{- end -}} href="{{- .RelPermalink -}}" alt="Afficher plus de produit" onclick="next(event, {{- $limit -}})">Afficher plus de produit</a>
        {{- end -}}
    </div>
</div>
{{- end -}}
